This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 445277 - traceback whilst installing the kernel package
traceback whilst installing the kernel package
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-05 17:22 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-04 11:12:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (121.35 KB, text/plain)
2008-05-05 17:22 EDT, Dave Jones
no flags Details

  None (edit)
Description Dave Jones 2008-05-05 17:22:20 EDT
right at the end of the install, I got this dialog all up in my face..

Traceback (most recent call first):
  File "/usr/lib/booty/bootloaderInfo.py", line 939, in grubbyDiskName
    return "hd%d" % self.drivelist.index(name)
  File "/usr/lib/booty/bootloaderInfo.py", line 900, in writeGrub
    f.write("(%s)     /dev/%s\n" % (self.grubbyDiskName(drive),
  File "/usr/lib/booty/bootloaderInfo.py", line 1108, in write
    justConfig | (not self.useGrubVal))
  File "/usr/lib/booty/bootloaderInfo.py", line 1216, in write
    chainList, defaultDev, justConfig, intf)
  File "/usr/lib/anaconda/bootloader.py", line 236, in writeBootloader
    justConfigFile, anaconda.intf)
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 131, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1278, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 80, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1299, in handleRenderCallback
    self.currentWindow.renderCallback()
ValueError: list.index(x): x not in list
Comment 1 Dave Jones 2008-05-05 17:22:20 EDT
Created attachment 304562 [details]
log
Comment 2 Dave Jones 2008-05-05 17:22:55 EDT
that machine has two disks. I told anaconda to ignore the 2nd one, as its bad.
Comment 3 Bill Nottingham 2008-05-09 13:13:53 EDT
Removing from F9 blocker, as we decided not to hold the release for this.
Comment 4 Bug Zapper 2008-05-14 06:41:09 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Andy Lindeberg 2008-06-03 10:27:09 EDT
Does this happen with the final release of F9?

Note You need to log in before you can comment on or make changes to this bug.